package sis.util;

import java.util.*;

public class ThreadPool {
   private int threadLimit;
   private List<Thread> threads = new ArrayList<Thread>();

   public ThreadPool(int threadLimit) {
      this.threadLimit = threadLimit;
   }

   public void add(Runnable runnable) {
      if (threads.size() < threadLimit) {
         Thread thread = new Thread(runnable);
         thread.start();
         threads.add(thread);
      }
   }
}
